﻿using Microsoft.Win32;
using Syncfusion.DocIO.DLS;
using Syncfusion.Windows.Controls.RichTextBoxAdv;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        #region Constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="T:Sample.MainWindow">MainWindow</see> class. 
        /// </summary>
        /// <remarks></remarks>
        public MainWindow()
        {
            InitializeComponent();
        }
        #endregion

        #region Event Handlers
        /// <summary>
        /// Called when button is clicked.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">An <see cref="T:System.Windows.RoutedEventArgs">RoutedEventArgs</see> that contains the event data.</param>
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (richTextBoxAdv.TextWrapping == Syncfusion.Windows.Controls.RichTextBoxAdv.TextWrapping.Wrap)
                richTextBoxAdv.TextWrapping = Syncfusion.Windows.Controls.RichTextBoxAdv.TextWrapping.NoWrap;
            else
                richTextBoxAdv.TextWrapping = Syncfusion.Windows.Controls.RichTextBoxAdv.TextWrapping.Wrap;
        }
        #endregion

        
    }
}
